## Rust algebras.

These algebras are generated by the ganja.js code generator and provide a clean, low threshold implementation
of a range of geometric algebras. Each file contains a class implementing the algebra (using flat storage),
overloaded operators for all common GA operators, and some simple numerical examples.

| sig   | filename        | name                         |
|-------|-----------------|------------------------------|
| 0,1   | c.rs            | complex numbers              |
| 1,0   | hyperbolic.rs   | hyperbolic numbers           |
| 0,0,1 | dual.rs         | dual numbers                 |
| 2,0   | r2.rs           | 2D Vectors                   |
| 3,0   | r3.rs           | 3D Vectors                   |
| 1,1   | mink.rs         | Minkowski                    | 
| 0,2   | quat.rs         | Quaternion                   |
| 3,1   | spacetime.rs    | Spacetime                    | 
| 4,1   | cga.rs          | Conformal Geometric Algebra  |
| 3,0,1 | pga3d.rs        | Projective Geometric Algebra |
